using System;

internal sealed class Delegate843 : MulticastDelegate
{
	public extern bool Invoke(IntPtr intptr_0, IntPtr intptr_1);

	public static bool smethod_0(IntPtr intptr_0, IntPtr intptr_1, Delegate843 delegate843_1)
	{
		return delegate843_1(intptr_0, intptr_1);
	}

	public extern Delegate843(object object_0, IntPtr intptr_0);

	static Delegate843()
	{
		Class10.smethod_13(typeof(Delegate843).TypeHandle);
	}

	internal static Delegate843 delegate843_0;
}
